Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 117341 - Kernel panic: 2.4.20-20.9: alloc_skb called nonatomically from interrupt c02182eb
Summary: Kernel panic: 2.4.20-20.9: alloc_skb called nonatomically from interrupt c021...
Keywords:
Status: CLOSED DUPLICATE of bug 78616
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 117340 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-02 22:32 UTC by Richard Gopaul
Modified: 2007-04-18 17:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 19:01:46 UTC


Attachments (Terms of Use)

Description Richard Gopaul 2004-03-02 22:32:33 UTC
Description of problem:
------------[ cut here ]------------
kernel BUG at skbuff.c:174!
invalid operand: 0000
kernel_aodv ath_pci wlan ath_hal orinoco_cs orinoco hermes ds 
yenta_socket pcmci
a_core natsemi ext3 jbd
CPU:    0
EIP:    0060:[<c01db375>]    Tainted: P
EFLAGS: 00010286

EIP is at alloc_skb [kernel] 0x191 (2.4.20-20.9)
eax: 0000003a   ebx: c3410420   ecx: 00000001   edx: c363c000
esi: 000001f0   edi: c23ffe40   ebp: 00000020   esp: c23ffdb0
ds: 0068   es: 0068   ss: 0068
Process kernel-aodv (pid: 3909, stackpage=c23ff000)
Stack: c0254660 c02182eb c3410420 c3410420 c02182eb 0000011c 000001f0 
00000000
       000000fe 00000019 c3410420 c3410420 068012ac c2e8e9c0 c0217de1 
00000019
       c3410420 00000020 000000fe c23ffe40 00000000 008012ac 00000001 
00000020
Call Trace:   [<c02182eb>] rtmsg_fib [kernel] 0x47 (0xc23ffdb4))
[<c02182eb>] rtmsg_fib [kernel] 0x47 (0xc23ffdc0))
[<c0217de1>] fn_hash_delete [kernel] 0x105 (0xc23ffde8))
[<c02151c4>] ip_rt_ioctl [kernel] 0x134 (0xc23ffe28))
[<c48c0002>] arp_handler [kernel_aodv] 0x186 (0xc23ffe84))
[<c48bc9fe>] delete_kernel_route_entry [kernel_aodv] 0xca 
(0xc23fff00))
[<c0228e42>] vsnprintf [kernel] 0x1ea (0xc23fff10))
[<c48c0002>] arp_handler [kernel_aodv] 0x186 (0xc23fff14))
[<c48bcc0e>] delete_route_table_entry [kernel_aodv] 0x2a (0xc23fff60))
[<c48bfb6f>] del_client [kernel_aodv] 0x93 (0xc23fff80))
[<c48bbfd0>] find_inactive_route_table_entries [kernel_aodv] 0x17c 
(0xc23fffa0))

[<c48c5970>] buf.2 [kernel_aodv] 0x0 (0xc23fffa8))
[<c48bbe62>] find_inactive_route_table_entries [kernel_aodv] 0xe 
(0xc23fffb0))
[<c48b899a>] aodv [kernel_aodv] 0x12a (0xc23fffd0))
[<c48b8870>] aodv [kernel_aodv] 0x0 (0xc23fffe8))
[<c0106fc1>] kernel_thread_helper [kernel] 0x5 (0xc23ffff0))


Code: 0f 0b ae 00 94 34 25 c0 5b 58 e9 91 fe ff ff 53 8b 44 24 08
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

Version-Release number of selected component (if applicable):
2.4.20-20.9


The kernel bug message came up, so that's why I'm submitting this to 
you...  Otherwise, I'm just going to try to debug it. 
I'm running kernel-aodv from NIST. 

Richard ;

Comment 1 Arjan van de Ven 2004-03-03 06:41:26 UTC
the backtrace has a significant portion of that aodv module; doesn't
look like our bug.

*** This bug has been marked as a duplicate of 78616 ***

Comment 2 Dave Jones 2004-03-11 16:39:21 UTC
*** Bug 117340 has been marked as a duplicate of this bug. ***

Comment 3 Red Hat Bugzilla 2006-02-21 19:01:46 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.